[build-system]
requires = [
    "setuptools >= 65",
]
build-backend = "setuptools.build_meta"

[project]
name = "javascript_data_files"
description = "Work with JSON which is stored as a value in a JavaScript file"
readme = "README.md"
authors = [
  {name = "Alex Chan", email = "alex@alexwlchan.net"},
]
maintainers = [
  {name = "Alex Chan", email="alex@alexwlchan.net"},
]
classifiers = [
  "Development Status :: 5 - Production/Stable",
  "Programming Language :: Python :: 3.12",
]
requires-python = ">=3.12"
dependencies = []
dynamic = ["version"]
license = "MIT"

[project.optional-dependencies]
typed = ["pydantic"]

[project.urls]
"Homepage" = "https://github.com/alexwlchan/python-js-files"
"Changelog" = "https://github.com/alexwlchan/python-js-files/blob/main/CHANGELOG.md"

[tool.setuptools.dynamic]
version = {attr = "javascript_data_files.__version__"}

[tool.setuptools.packages.find]
where = ["src"]

[tool.setuptools.package-data]
nitrate = ["py.typed"]

[tool.coverage.run]
branch = true
source = ["javascript_data_files", "tests",]

[tool.coverage.report]
show_missing = true
skip_covered = true
fail_under = 100

[tool.pytest.ini_options]
filterwarnings = ["error"]

[tool.ruff.lint]
select = ["D", "E", "F"]
ignore = [
    "D200",  # unnecessary-multiline-docstring
    "D203",  # incorrect-blank-line-before-class
    "D205",  # missing-blank-line-after-summary
    "D211",  # blank-line-before-class
    "D212",  # multi-line-summary-first-line
]
